#!/bin/sh
thisscript=`basename "$0"`
appname=`basename $0 | sed s,\.sh$,,`
#echo appname: $appname
#echo thisscript: $thisscript

dirname=`dirname $0`
tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
    dirname=$PWD/$dirname
fi
LD_LIBRARY_PATH=$dirname

#
xhost si:localuser:root

# make sure only root can run our script
#echo "id:""$(id -u)"
if [ "$(id -u)" != "0" ]; then
   echo "id:""$(id -u)"" this script must be run as root" 1>&2
   echo "  try gksu + "$thisscript 

   #for ubuntu 17.10 - not help
   #xhost +

   # gksu - not all good / not for all linux?
   sudo $dirname/$thisscript "$@"
   #gksu $dirname/$thisscript "$@"
   echo "  "
   echo "  " "id:""$(id -u)" " completed"
   exit 1
fi


echo "id:""$(id -u)"" user is root => can start app"


#openssl libs
if [ `getconf LONG_BIT` = "64" ]
then
    echo "64-bit os => openssl64 dir"
    LD_LIBRARY_PATH="$LD_LIBRARY_PATH/openssl64:$LD_LIBRARY_PATH"
else
    echo "32-bit os => openssl32 dir"
    LD_LIBRARY_PATH="$LD_LIBRARY_PATH/openssl32:$LD_LIBRARY_PATH"
fi


echo LD_LIBRARY_PATH: $LD_LIBRARY_PATH

export LD_LIBRARY_PATH

# fix bug "Could not connect to any X Display" 
xhost +

#
$dirname/vpn.ac "$@"

xhost -

echo ""
echo "id:""$(id -u)" " completed"
